# Expand Instance Node - ExpandUESInstance

## Overview

Expand Instance Node






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ExpandUESInstance`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.netlake.cn/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave blank for the default project, sub-accounts must fill in. Please refer to [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **InstanceId** | string | Instance Id |**Yes**|
| **NodeCount** | int | Number of nodes of the corresponding type after scaling out. |**Yes**|
| **NodeRole** | string | NodeRole [compute \| coordinating] |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.netlake.cn/?Action=ExpandUESInstance
&Region=cn-zj
&Zone=cn-zj-01
&InstanceId=oSiuFsEv
&NodeCount=5
&NodeRole=CgGWtKNC
```

### Response Example
    
```json
{
  "Action": "ExpandUESInstanceResponse",
  "Message": "SczAHwMx",
  "RetCode": 0
}
```





